Skip to content
Developer

HBCI

Accounting19 EndpointsBilling / HBCI

Get all HBCI credentials

GET/api/hbci/credentials

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of HBCI credentialsarray<HbciCredential>

Show fields (19)
  • idinteger

    Primary key of the HBCI credential. Internal ID.

  • billing_payout_accountBillingPayoutAccount3

    Payout account the credential belongs to.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • bank_dataHbciBankData

    Bank data of the credential.

    Show fields (9)
    • idinteger

      Primary key of the bank data. Internal ID.

    • blzstring

      Bank code (BLZ) of the bank.

    • bicstring

      BIC of the bank.

    • institute_namestring

      Name of the bank institute.

    • citystring

      City of the bank institute.

    • organizationstring

      Organization of the bank for FinTS.

    • hbci_urlstring

      URL of the FinTS server.

    • pin_tan_urlstring

      URL of the PIN/TAN service.

    • fints_versionstring

      FinTS version supported by the bank.

  • enabledboolean

    The credential is enabled.

  • usernamestring

    Login name at the bank.

  • tan_mode_idinteger

    ID of the TAN mode selected at the bank.

  • tan_mode_namestring

    Name of the TAN mode.

  • tan_medium_namestring

    Name of the TAN medium.

  • bpd_cache_updatedstring (date-time)

    Time the bank parameter data was updated.

  • last_syncstring (date-time)

    Time of the last synchronization.

  • last_sync_errorstring

    Error of the last synchronization.

  • auto_import_enabledboolean

    Automatic import of bank transactions is enabled.

  • last_auto_import_atstring (date-time)

    Time of the last automatic import.

  • auto_import_statusstring

    Status of the last automatic import.

  • auto_import_messagestring

    Message of the last automatic import.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/credentials \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "username": "lena.hartmann@example.org",
    "tan_mode_name": "Beispiel",
    "tan_medium_name": "Beispiel",
    "name": "Beispiel",
    "billing_payout_account": {
      "id": 42,
      "name": "Beispiel",
      "deleted": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00"
    },
    "bank_data": {
      "id": 42,
      "bic": "BYLADEM1001",
      "institute_name": "Beispiel",
      "city": "Hannover",
      "hbci_url": "https://vynst.de",
      "pin_tan_url": "https://vynst.de",
      "blz": "string",
      "organization": "string",
      "fints_version": "string"
    },
    "enabled": true,
    "tan_mode_id": 42,
    "bpd_cache_updated": "2026-10-15T09:30:00+02:00"
  }
]

Create new HBCI credential

POST/api/hbci/credentials

Request body application/json

  • dataHbciCredential2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a new HBCI credentialHbciCredential

Show fields (19)
  • idinteger

    Primary key of the HBCI credential. Internal ID.

  • billing_payout_accountBillingPayoutAccount3

    Payout account the credential belongs to.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • bank_dataHbciBankData

    Bank data of the credential.

    Show fields (9)
    • idinteger

      Primary key of the bank data. Internal ID.

    • blzstring

      Bank code (BLZ) of the bank.

    • bicstring

      BIC of the bank.

    • institute_namestring

      Name of the bank institute.

    • citystring

      City of the bank institute.

    • organizationstring

      Organization of the bank for FinTS.

    • hbci_urlstring

      URL of the FinTS server.

    • pin_tan_urlstring

      URL of the PIN/TAN service.

    • fints_versionstring

      FinTS version supported by the bank.

  • enabledboolean

    The credential is enabled.

  • usernamestring

    Login name at the bank.

  • tan_mode_idinteger

    ID of the TAN mode selected at the bank.

  • tan_mode_namestring

    Name of the TAN mode.

  • tan_medium_namestring

    Name of the TAN medium.

  • bpd_cache_updatedstring (date-time)

    Time the bank parameter data was updated.

  • last_syncstring (date-time)

    Time of the last synchronization.

  • last_sync_errorstring

    Error of the last synchronization.

  • auto_import_enabledboolean

    Automatic import of bank transactions is enabled.

  • last_auto_import_atstring (date-time)

    Time of the last automatic import.

  • auto_import_statusstring

    Status of the last automatic import.

  • auto_import_messagestring

    Message of the last automatic import.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/credentials \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "username": "lena.hartmann@example.org",
  "tan_mode_name": "Beispiel",
  "tan_medium_name": "Beispiel",
  "name": "Beispiel",
  "billing_payout_account": {
    "id": 42,
    "name": "Beispiel",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  },
  "bank_data": {
    "id": 42,
    "bic": "BYLADEM1001",
    "institute_name": "Beispiel",
    "city": "Hannover",
    "hbci_url": "https://vynst.de",
    "pin_tan_url": "https://vynst.de",
    "blz": "string",
    "organization": "string",
    "fints_version": "string"
  },
  "enabled": true,
  "tan_mode_id": 42,
  "bpd_cache_updated": "2026-10-15T09:30:00+02:00"
}

Get single HBCI credential

GET/api/hbci/credentials/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single HBCI credentialHbciCredential

Show fields (19)
  • idinteger

    Primary key of the HBCI credential. Internal ID.

  • billing_payout_accountBillingPayoutAccount3

    Payout account the credential belongs to.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • bank_dataHbciBankData

    Bank data of the credential.

    Show fields (9)
    • idinteger

      Primary key of the bank data. Internal ID.

    • blzstring

      Bank code (BLZ) of the bank.

    • bicstring

      BIC of the bank.

    • institute_namestring

      Name of the bank institute.

    • citystring

      City of the bank institute.

    • organizationstring

      Organization of the bank for FinTS.

    • hbci_urlstring

      URL of the FinTS server.

    • pin_tan_urlstring

      URL of the PIN/TAN service.

    • fints_versionstring

      FinTS version supported by the bank.

  • enabledboolean

    The credential is enabled.

  • usernamestring

    Login name at the bank.

  • tan_mode_idinteger

    ID of the TAN mode selected at the bank.

  • tan_mode_namestring

    Name of the TAN mode.

  • tan_medium_namestring

    Name of the TAN medium.

  • bpd_cache_updatedstring (date-time)

    Time the bank parameter data was updated.

  • last_syncstring (date-time)

    Time of the last synchronization.

  • last_sync_errorstring

    Error of the last synchronization.

  • auto_import_enabledboolean

    Automatic import of bank transactions is enabled.

  • last_auto_import_atstring (date-time)

    Time of the last automatic import.

  • auto_import_statusstring

    Status of the last automatic import.

  • auto_import_messagestring

    Message of the last automatic import.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "username": "lena.hartmann@example.org",
  "tan_mode_name": "Beispiel",
  "tan_medium_name": "Beispiel",
  "name": "Beispiel",
  "billing_payout_account": {
    "id": 42,
    "name": "Beispiel",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  },
  "bank_data": {
    "id": 42,
    "bic": "BYLADEM1001",
    "institute_name": "Beispiel",
    "city": "Hannover",
    "hbci_url": "https://vynst.de",
    "pin_tan_url": "https://vynst.de",
    "blz": "string",
    "organization": "string",
    "fints_version": "string"
  },
  "enabled": true,
  "tan_mode_id": 42,
  "bpd_cache_updated": "2026-10-15T09:30:00+02:00"
}

Update HBCI credential

PUT/api/hbci/credentials/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataHbciCredential2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update an HBCI credentialHbciCredential

Show fields (19)
  • idinteger

    Primary key of the HBCI credential. Internal ID.

  • billing_payout_accountBillingPayoutAccount3

    Payout account the credential belongs to.

    Show fields (5)
    • idinteger

      Primary key of the payout account. Internal ID.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

  • bank_dataHbciBankData

    Bank data of the credential.

    Show fields (9)
    • idinteger

      Primary key of the bank data. Internal ID.

    • blzstring

      Bank code (BLZ) of the bank.

    • bicstring

      BIC of the bank.

    • institute_namestring

      Name of the bank institute.

    • citystring

      City of the bank institute.

    • organizationstring

      Organization of the bank for FinTS.

    • hbci_urlstring

      URL of the FinTS server.

    • pin_tan_urlstring

      URL of the PIN/TAN service.

    • fints_versionstring

      FinTS version supported by the bank.

  • enabledboolean

    The credential is enabled.

  • usernamestring

    Login name at the bank.

  • tan_mode_idinteger

    ID of the TAN mode selected at the bank.

  • tan_mode_namestring

    Name of the TAN mode.

  • tan_medium_namestring

    Name of the TAN medium.

  • bpd_cache_updatedstring (date-time)

    Time the bank parameter data was updated.

  • last_syncstring (date-time)

    Time of the last synchronization.

  • last_sync_errorstring

    Error of the last synchronization.

  • auto_import_enabledboolean

    Automatic import of bank transactions is enabled.

  • last_auto_import_atstring (date-time)

    Time of the last automatic import.

  • auto_import_statusstring

    Status of the last automatic import.

  • auto_import_messagestring

    Message of the last automatic import.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • namestring

    Name of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "username": "lena.hartmann@example.org",
  "tan_mode_name": "Beispiel",
  "tan_medium_name": "Beispiel",
  "name": "Beispiel",
  "billing_payout_account": {
    "id": 42,
    "name": "Beispiel",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  },
  "bank_data": {
    "id": 42,
    "bic": "BYLADEM1001",
    "institute_name": "Beispiel",
    "city": "Hannover",
    "hbci_url": "https://vynst.de",
    "pin_tan_url": "https://vynst.de",
    "blz": "string",
    "organization": "string",
    "fints_version": "string"
  },
  "enabled": true,
  "tan_mode_id": 42,
  "bpd_cache_updated": "2026-10-15T09:30:00+02:00"
}

Delete HBCI credential (soft delete)

DELETE/api/hbci/credentials/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Get available TAN modes for credential

GET/api/hbci/credentials/{identifier}/tan-modes

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42/tan-modes \
  --header 'x-iw-jwt-token: <TOKEN>'

Get available TAN media for a TAN mode

GET/api/hbci/credentials/{identifier}/tan-modes/{tanModeId}/media

Path parameters

identifierrequiredstring
tanModeIdrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42/tan-modes/42/media \
  --header 'x-iw-jwt-token: <TOKEN>'

Test login with credential (returns accounts)

POST/api/hbci/credentials/{identifier}/login

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42/login \
  --header 'x-iw-jwt-token: <TOKEN>'

Fetch statements for credential

POST/api/hbci/credentials/{identifier}/fetch-statements

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/credentials/42/fetch-statements \
  --header 'x-iw-jwt-token: <TOKEN>'

Submit TAN for pending session

POST/api/hbci/sessions/{sessionToken}/submit-tan

Path parameters

sessionTokenrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/sessions/42/submit-tan \
  --header 'x-iw-jwt-token: <TOKEN>'

Check decoupled authentication status

GET/api/hbci/sessions/{sessionToken}/check-decoupled

Path parameters

sessionTokenrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/sessions/42/check-decoupled \
  --header 'x-iw-jwt-token: <TOKEN>'

Get session status

GET/api/hbci/sessions/{sessionToken}

Path parameters

sessionTokenrequiredstring

Responses

200Returns HBCI session statusHbciSession

Show fields (13)
  • idinteger

    Primary key of the HBCI session. Internal ID.

  • hbci_credentialHbciCredential3

    HBCI credential used for the session.

    Show fields (17)
    • idinteger

      Primary key of the HBCI credential. Internal ID.

    • bank_dataHbciBankData

      Bank data of the credential.

    • enabledboolean

      The credential is enabled.

    • usernamestring

      Login name at the bank.

    • tan_mode_idinteger

      ID of the TAN mode selected at the bank.

    • tan_mode_namestring

      Name of the TAN mode.

    • tan_medium_namestring

      Name of the TAN medium.

    • last_syncstring (date-time)

      Time of the last synchronization.

    • last_sync_errorstring

      Error of the last synchronization.

    • auto_import_enabledboolean

      Automatic import of bank transactions is enabled.

    • last_auto_import_atstring (date-time)

      Time of the last automatic import.

    • auto_import_statusstring

      Status of the last automatic import.

    • auto_import_messagestring

      Message of the last automatic import.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • session_tokenstring

    Token of the session.

  • statusstring

    Status of the session, for example running, waiting for TAN or done.

  • action_typestring

    Action of the session, for example fetch transactions or send payment.

  • tan_challengestring

    TAN challenge text shown to the user.

  • tan_challenge_imagestring

    TAN challenge image, for example for chip TAN.

  • tan_challenge_image_mimestring

    MIME type of the TAN challenge image.

  • is_decoupledboolean

    The TAN is confirmed in the bank app.

  • expires_atstring (date-time)

    Time the session expires.

  • error_messagestring

    Error message of the session.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/sessions/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "hbci_credential": {
    "id": 42,
    "username": "lena.hartmann@example.org",
    "tan_mode_name": "Beispiel",
    "tan_medium_name": "Beispiel",
    "name": "Beispiel",
    "bank_data": {
      "id": 42,
      "bic": "BYLADEM1001",
      "institute_name": "Beispiel",
      "city": "Hannover",
      "hbci_url": "https://vynst.de",
      "pin_tan_url": "https://vynst.de",
      "blz": "string",
      "organization": "string",
      "fints_version": "string"
    },
    "enabled": true,
    "tan_mode_id": 42,
    "last_sync": "2026-10-15T09:30:00+02:00",
    "last_sync_error": "string"
  },
  "session_token": "string",
  "status": "string",
  "action_type": "string",
  "tan_challenge": "string",
  "tan_challenge_image": "string",
  "tan_challenge_image_mime": "string",
  "is_decoupled": true,
  "expires_at": "2026-10-15T09:30:00+02:00"
}

List HBCI payment submissions (newest first)

GET/api/hbci/payment_submission

Query parameters

idstring
typestring
statusstring
batchKeystring
executionNamestring
billingPaymentProfilestring
hbciCredentialstring
requestedDatestring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of HBCI payment submissionsarray<HbciPaymentSubmission>

Show fields (35)
  • total_amountnumber (float)
  • billing_payment_profile_idinteger
  • hbci_credential_idinteger
  • session_tokenstring
  • tan_challengestring
  • is_decoupledboolean
  • prepared_by_idinteger
  • prepared_by_namestring
  • approved_by_namestring
  • resolved_by_namestring
  • has_blocking_warningsboolean
  • idinteger

    Primary key of the payment submission. Internal ID.

  • typestring

    Type of the submission, for example direct debit or transfer.

  • statusstring

    Status of the submission, for example prepared, approved or sent.

  • batch_keystring

    Key of the batch the submission belongs to.

  • execution_namestring

    Name of the execution.

  • pain_formatstring

    Format of the SEPA file, for example pain.008.

  • pain_xml_hashstring

    Hash of the SEPA XML file.

  • transaction_countinteger

    Number of transactions in the submission.

  • total_centsinteger

    Total amount of the submission in cents.

  • requested_datestring (date-time)

    Requested execution date.

  • sequence_typestring

    Sequence type of the direct debits, for example first or recurring.

  • own_ibanstring

    IBAN of the creditor.

  • own_namestring

    Name of the creditor.

  • creditor_idstring

    Creditor ID of the creditor.

  • order_sentboolean

    The order was sent to the bank.

  • tan_submittedboolean

    The TAN for the submission was entered.

  • error_messagestring

    Error message of the submission.

  • approved_atstring (date-time)

    Time the submission was approved.

  • submitted_atstring (date-time)

    Time the submission was sent to the bank.

  • resolutionstring

    Resolution of the submission.

  • resolution_notestring

    Note on how the submission was resolved.

  • resolved_atstring (date-time)

    Time the submission was resolved.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "prepared_by_name": "Beispiel",
    "approved_by_name": "Beispiel",
    "resolved_by_name": "Beispiel",
    "id": 42,
    "execution_name": "Beispiel",
    "own_iban": "DE02120300000000202051",
    "own_name": "Beispiel",
    "total_amount": 49.9,
    "billing_payment_profile_id": 42,
    "hbci_credential_id": 42
  }
]

Prepare the submission of a SEPA run (step 1 of the four-eyes principle). Nothing is sent to the bank.

POST/api/hbci/payment_submission/action/prepare

Body: name (run name), payment_profile (id, optional), type (direct_debit|donation_direct_debit|credit_transfer, optional - derived from the run name), credential (HbciCredential id, optional), requested_date (Y-m-d, optional)

Query parameters

idstring
typestring
statusstring
batchKeystring
executionNamestring
billingPaymentProfilestring
hbciCredentialstring
requestedDatestring
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200The prepared drafts, one per payment grouparray<HbciPaymentSubmission>

Show fields (35)
  • total_amountnumber (float)
  • billing_payment_profile_idinteger
  • hbci_credential_idinteger
  • session_tokenstring
  • tan_challengestring
  • is_decoupledboolean
  • prepared_by_idinteger
  • prepared_by_namestring
  • approved_by_namestring
  • resolved_by_namestring
  • has_blocking_warningsboolean
  • idinteger

    Primary key of the payment submission. Internal ID.

  • typestring

    Type of the submission, for example direct debit or transfer.

  • statusstring

    Status of the submission, for example prepared, approved or sent.

  • batch_keystring

    Key of the batch the submission belongs to.

  • execution_namestring

    Name of the execution.

  • pain_formatstring

    Format of the SEPA file, for example pain.008.

  • pain_xml_hashstring

    Hash of the SEPA XML file.

  • transaction_countinteger

    Number of transactions in the submission.

  • total_centsinteger

    Total amount of the submission in cents.

  • requested_datestring (date-time)

    Requested execution date.

  • sequence_typestring

    Sequence type of the direct debits, for example first or recurring.

  • own_ibanstring

    IBAN of the creditor.

  • own_namestring

    Name of the creditor.

  • creditor_idstring

    Creditor ID of the creditor.

  • order_sentboolean

    The order was sent to the bank.

  • tan_submittedboolean

    The TAN for the submission was entered.

  • error_messagestring

    Error message of the submission.

  • approved_atstring (date-time)

    Time the submission was approved.

  • submitted_atstring (date-time)

    Time the submission was sent to the bank.

  • resolutionstring

    Resolution of the submission.

  • resolution_notestring

    Note on how the submission was resolved.

  • resolved_atstring (date-time)

    Time the submission was resolved.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/action/prepare \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "prepared_by_name": "Beispiel",
    "approved_by_name": "Beispiel",
    "resolved_by_name": "Beispiel",
    "id": 42,
    "execution_name": "Beispiel",
    "own_iban": "DE02120300000000202051",
    "own_name": "Beispiel",
    "total_amount": 49.9,
    "billing_payment_profile_id": 42,
    "hbci_credential_id": 42
  }
]

Single HBCI payment submission with the full review (all transactions and findings)

GET/api/hbci/payment_submission/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single HBCI payment submissionHbciPaymentSubmission

Show fields (35)
  • total_amountnumber (float)
  • billing_payment_profile_idinteger
  • hbci_credential_idinteger
  • session_tokenstring
  • tan_challengestring
  • is_decoupledboolean
  • prepared_by_idinteger
  • prepared_by_namestring
  • approved_by_namestring
  • resolved_by_namestring
  • has_blocking_warningsboolean
  • idinteger

    Primary key of the payment submission. Internal ID.

  • typestring

    Type of the submission, for example direct debit or transfer.

  • statusstring

    Status of the submission, for example prepared, approved or sent.

  • batch_keystring

    Key of the batch the submission belongs to.

  • execution_namestring

    Name of the execution.

  • pain_formatstring

    Format of the SEPA file, for example pain.008.

  • pain_xml_hashstring

    Hash of the SEPA XML file.

  • transaction_countinteger

    Number of transactions in the submission.

  • total_centsinteger

    Total amount of the submission in cents.

  • requested_datestring (date-time)

    Requested execution date.

  • sequence_typestring

    Sequence type of the direct debits, for example first or recurring.

  • own_ibanstring

    IBAN of the creditor.

  • own_namestring

    Name of the creditor.

  • creditor_idstring

    Creditor ID of the creditor.

  • order_sentboolean

    The order was sent to the bank.

  • tan_submittedboolean

    The TAN for the submission was entered.

  • error_messagestring

    Error message of the submission.

  • approved_atstring (date-time)

    Time the submission was approved.

  • submitted_atstring (date-time)

    Time the submission was sent to the bank.

  • resolutionstring

    Resolution of the submission.

  • resolution_notestring

    Note on how the submission was resolved.

  • resolved_atstring (date-time)

    Time the submission was resolved.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "prepared_by_name": "Beispiel",
  "approved_by_name": "Beispiel",
  "resolved_by_name": "Beispiel",
  "id": 42,
  "execution_name": "Beispiel",
  "own_iban": "DE02120300000000202051",
  "own_name": "Beispiel",
  "total_amount": 49.9,
  "billing_payment_profile_id": 42,
  "hbci_credential_id": 42
}

The pain XML exactly as it is (or was) sent to the bank

GET/api/hbci/payment_submission/{identifier}/xml

Path parameters

identifierrequiredstring

Responses

200pain.008 / pain.001 XML file

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/42/xml \
  --header 'x-iw-jwt-token: <TOKEN>'

Approve a prepared submission and send it to the bank (step 2, by a second person)

POST/api/hbci/payment_submission/{identifier}/approve

Body: pain_xml_hash (the hash shown in the review), confirmed (true) Returns the bank step result (needs_tan, session_token, ...) and the updated submission.

Path parameters

identifierrequiredstring

Responses

200Result of the bank dialog and the submission

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/42/approve \
  --header 'x-iw-jwt-token: <TOKEN>'

Withdraw a draft or abort the TAN entry

POST/api/hbci/payment_submission/{identifier}/cancel

Path parameters

identifierrequiredstring

Responses

200The cancelled submissionHbciPaymentSubmission

Show fields (35)
  • total_amountnumber (float)
  • billing_payment_profile_idinteger
  • hbci_credential_idinteger
  • session_tokenstring
  • tan_challengestring
  • is_decoupledboolean
  • prepared_by_idinteger
  • prepared_by_namestring
  • approved_by_namestring
  • resolved_by_namestring
  • has_blocking_warningsboolean
  • idinteger

    Primary key of the payment submission. Internal ID.

  • typestring

    Type of the submission, for example direct debit or transfer.

  • statusstring

    Status of the submission, for example prepared, approved or sent.

  • batch_keystring

    Key of the batch the submission belongs to.

  • execution_namestring

    Name of the execution.

  • pain_formatstring

    Format of the SEPA file, for example pain.008.

  • pain_xml_hashstring

    Hash of the SEPA XML file.

  • transaction_countinteger

    Number of transactions in the submission.

  • total_centsinteger

    Total amount of the submission in cents.

  • requested_datestring (date-time)

    Requested execution date.

  • sequence_typestring

    Sequence type of the direct debits, for example first or recurring.

  • own_ibanstring

    IBAN of the creditor.

  • own_namestring

    Name of the creditor.

  • creditor_idstring

    Creditor ID of the creditor.

  • order_sentboolean

    The order was sent to the bank.

  • tan_submittedboolean

    The TAN for the submission was entered.

  • error_messagestring

    Error message of the submission.

  • approved_atstring (date-time)

    Time the submission was approved.

  • submitted_atstring (date-time)

    Time the submission was sent to the bank.

  • resolutionstring

    Resolution of the submission.

  • resolution_notestring

    Note on how the submission was resolved.

  • resolved_atstring (date-time)

    Time the submission was resolved.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/42/cancel \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "prepared_by_name": "Beispiel",
  "approved_by_name": "Beispiel",
  "resolved_by_name": "Beispiel",
  "id": 42,
  "execution_name": "Beispiel",
  "own_iban": "DE02120300000000202051",
  "own_name": "Beispiel",
  "total_amount": 49.9,
  "billing_payment_profile_id": 42,
  "hbci_credential_id": 42
}

Resolve a submission whose outcome is unknown after checking the online banking

POST/api/hbci/payment_submission/{identifier}/resolve

Body: resolution (executed|not_executed), note (optional)

Path parameters

identifierrequiredstring

Responses

200The resolved submissionHbciPaymentSubmission

Show fields (35)
  • total_amountnumber (float)
  • billing_payment_profile_idinteger
  • hbci_credential_idinteger
  • session_tokenstring
  • tan_challengestring
  • is_decoupledboolean
  • prepared_by_idinteger
  • prepared_by_namestring
  • approved_by_namestring
  • resolved_by_namestring
  • has_blocking_warningsboolean
  • idinteger

    Primary key of the payment submission. Internal ID.

  • typestring

    Type of the submission, for example direct debit or transfer.

  • statusstring

    Status of the submission, for example prepared, approved or sent.

  • batch_keystring

    Key of the batch the submission belongs to.

  • execution_namestring

    Name of the execution.

  • pain_formatstring

    Format of the SEPA file, for example pain.008.

  • pain_xml_hashstring

    Hash of the SEPA XML file.

  • transaction_countinteger

    Number of transactions in the submission.

  • total_centsinteger

    Total amount of the submission in cents.

  • requested_datestring (date-time)

    Requested execution date.

  • sequence_typestring

    Sequence type of the direct debits, for example first or recurring.

  • own_ibanstring

    IBAN of the creditor.

  • own_namestring

    Name of the creditor.

  • creditor_idstring

    Creditor ID of the creditor.

  • order_sentboolean

    The order was sent to the bank.

  • tan_submittedboolean

    The TAN for the submission was entered.

  • error_messagestring

    Error message of the submission.

  • approved_atstring (date-time)

    Time the submission was approved.

  • submitted_atstring (date-time)

    Time the submission was sent to the bank.

  • resolutionstring

    Resolution of the submission.

  • resolution_notestring

    Note on how the submission was resolved.

  • resolved_atstring (date-time)

    Time the submission was resolved.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/hbci/payment_submission/42/resolve \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "prepared_by_name": "Beispiel",
  "approved_by_name": "Beispiel",
  "resolved_by_name": "Beispiel",
  "id": 42,
  "execution_name": "Beispiel",
  "own_iban": "DE02120300000000202051",
  "own_name": "Beispiel",
  "total_amount": 49.9,
  "billing_payment_profile_id": 42,
  "hbci_credential_id": 42
}